//file:	hspcomm.h

#ifdef MAKINGDLL
#define DLLFUNCTION __declspec(dllexport) __stdcall
#else
#define DLLFUNCTION __stdcall
#endif

int DLLFUNCTION HspOpen();
int DLLFUNCTION HspOpenEx(int LptPort, int MuxAdr);
int DLLFUNCTION HspClose();
int DLLFUNCTION HspCloseEx(int LptPort, int MuxAdr);
#ifdef MAKINGDLL
int HspDevOpen(unsigned LptPort);
int HspDevClose();
#endif
int DLLFUNCTION HspCommInit(int Dummy);
int DLLFUNCTION HspCommInitEx(int LptPort, int MuxAdr);

int DLLFUNCTION EppInstallMsg(int Enable);
int DLLFUNCTION EppDiagMsg(int Enable);
void DLLFUNCTION HspMsgBox(int Enable);

int DLLFUNCTION GetHspVersion(short int *HspVersion);
int DLLFUNCTION HspDLL();

int DLLFUNCTION HspStartScan();
int DLLFUNCTION HspStopScan();
int DLLFUNCTION HspReadDirect(int LvdtCount,unsigned char *LvdtList,short int **Values);
int DLLFUNCTION HspReadDirectCopy(int LvdtCount,unsigned char *LvdtList,short int *Values);
int DLLFUNCTION HspDefineChannel(int channel,char *formula);
int DLLFUNCTION HspReadFormula(int channel,char **formula);
int DLLFUNCTION HspReadChannel(int channel,float *cvalue);
int DLLFUNCTION HspClearAllChannels();
int DLLFUNCTION HspClearChannel(int channel);
int DLLFUNCTION HspResetMM();
int DLLFUNCTION HspSetCzero(int channel, float *czero);
int DLLFUNCTION HspReadCzero(int channel, float *czero);
int DLLFUNCTION HspSetCscale(int channel, float *cscale);
int DLLFUNCTION HspReadCscale(int channel, float *cscale);
int DLLFUNCTION HspReadLvdt(int lvdt, float *tvalue);
int DLLFUNCTION HspSetTfsv(int lvdt, float *tfsv);
int DLLFUNCTION HspReadTfsv(int lvdt, float *tfsv);
int DLLFUNCTION HspSetTzero(int lvdt, float *tzero);
int DLLFUNCTION HspReadTzero(int lvdt, float *tzero);
int DLLFUNCTION HspReadAnalog(int analog, float *tvalue);
int DLLFUNCTION HspSetAfsv(int analog, float *afsv);
int DLLFUNCTION HspReadAfsv(int analog, float *afsv);
int DLLFUNCTION HspSetAzero(int analog, float *azero);
int DLLFUNCTION HspReadAzero(int analog, float *azero);
int DLLFUNCTION HspSetLvdtGain(int Lvdt, unsigned char Rf, unsigned char Ri);
int DLLFUNCTION HspReadLvdtGain(int Lvdt, unsigned char *Rf, unsigned char *Ri);
int DLLFUNCTION HspSetLvdtFine(int Lvdt,short int Fine);
int DLLFUNCTION HspReadLvdtFine(int Lvdt,short int *Fine);
int DLLFUNCTION HspSetLvdtNull(int Lvdt, short int Null);
int DLLFUNCTION HspReadLvdtNull(int Lvdt,short int *Null);
int DLLFUNCTION HspSaveCalibration(short int *SaveStatus);
int DLLFUNCTION HspGetSaveStatus(short int *SaveComplete, short int *SaveError);
int DLLFUNCTION HspSetScanTime(short int time);
int DLLFUNCTION HspSetFpIn(short int fmtCode);
int DLLFUNCTION HspGetFpIn(short int *fmtCode);
int DLLFUNCTION HspSetFpOut(short int fmtCode);
int DLLFUNCTION HspGetFpOut(short int *fmtCode);
int DLLFUNCTION HspSetFpPrec(short int precision);
int DLLFUNCTION HspGetFpPrec(short int *precision);
int DLLFUNCTION HspSet_muxTime(short int SettleTime);
int DLLFUNCTION HspSetAdcAvg(short int NumberToAvg);
int DLLFUNCTION HspSetRunAvg(short int NumberToAvg);
int DLLFUNCTION HspMemory(short unsigned seg,short unsigned off,unsigned char **block);
#ifdef MAKINGDLL
int HspReset();
int HSPGetFakeResponse(int *psize,char *data_buffer);
#endif



